Skip to main content
GET
/
v1
/
annotation-queues
List annotation queues
curl --request GET \
  --url https://api.agentmark.co/v1/annotation-queues \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Agentmark-App-Id: <api-key>'
{
  "data": [
    {
      "app_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "instructions": "<string>",
      "name": "<string>",
      "progress": {
        "completed": 1,
        "in_progress": 1,
        "pending": 1,
        "skipped": 1,
        "total": 1
      },
      "reviewers_required": 2,
      "score_config_names": [
        "<string>"
      ],
      "status": "active",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 1,
    "offset": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentmark.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 1000
offset
integer | null
default:0
Required range: x >= 0
assigned_to_me
boolean
default:false

Response

List of annotation queues with progress.

data
object[]
required
pagination
object
required